Page MenuHomePhabricator

add editcontentmodel access to the templateeditor group on testwiki
Closed, ResolvedPublic

Description

Please add editcontentmodel access to the templateeditor group on testwiki

This is for use case validations related to T85847 and linked tasks (the 'make sure nothing blows up (a week or two after announcing)' part)

Stemming from enwiki discussion at: WP:VPT#Should moving a page change its content model in some situations? (archive)

Note, per usual - there isn't a "community" at testwiki. This access is already present on administrators, but we specifically want to be able to test use cases where the rights holder is not an admin.

Event Timeline

Xaosflux created this task.Mar 3 2019, 12:55 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2019, 12:55 AM
Xaosflux updated the task description. (Show Details)Mar 3 2019, 12:56 AM
Xaosflux updated the task description. (Show Details)
Pppery added a subscriber: Pppery.Mar 3 2019, 1:17 AM
Ammarpad claimed this task.Mar 3 2019, 5:54 AM
Ammarpad triaged this task as Normal priority.

Change 494016 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[operations/mediawiki-config@master] Add editcontentmodel right to the templateeditor group on testwiki

https://gerrit.wikimedia.org/r/494016

Izno added a subscriber: Izno.Mar 5 2019, 3:50 AM
Izno updated the task description. (Show Details)Mar 30 2019, 10:09 PM
This comment was removed by Pppery.

Change 494016 had a related patch set uploaded (by Urbanecm; owner: Ammarpad):
[operations/mediawiki-config@master] Add editcontentmodel right to the templateeditor group on testwiki

https://gerrit.wikimedia.org/r/494016

Change 494016 merged by Urbanecm:
[operations/mediawiki-config@master] Add editcontentmodel right to the templateeditor group on testwiki

https://gerrit.wikimedia.org/r/494016

Mentioned in SAL (#wikimedia-operations) [2019-06-04T11:19:33Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [[:gerrit:494016|Add editcontentmodel right to the templateeditor group on testwiki]] (T217499) (duration: 00m 47s)

Urbanecm closed this task as Resolved.Jun 4 2019, 11:20 AM
Urbanecm added a subscriber: Urbanecm.

Deployed.

Pppery removed a subscriber: Pppery.
This comment was removed by Pppery.